/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package vues;

import com.toedter.calendar.JDateChooser;
import javax.swing.JButton;
import javax.swing.JComboBox;
import javax.swing.JLabel;
import javax.swing.JTable;
import javax.swing.JTextArea;
import javax.swing.JTextField;

/**
 *
 * @author btssio
 */
public class VueRapportVisite extends javax.swing.JFrame {

    /**
     * Creates new form JFrameRapportVisite
     */
    public VueRapportVisite() {
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPanelRapportVisite = new javax.swing.JPanel();
        jLabelRapportVisite = new javax.swing.JLabel();
        jLabelNumeroRapport = new javax.swing.JLabel();
        jScrollPaneBilan = new javax.swing.JScrollPane();
        jTextAreaBilan = new javax.swing.JTextArea();
        jTextFieldNumeroRapport = new javax.swing.JTextField();
        jLabelPraticien = new javax.swing.JLabel();
        jComboBoxPraticien = new javax.swing.JComboBox();
        jLabelDateRapport = new javax.swing.JLabel();
        jLabelMotifVisite = new javax.swing.JLabel();
        jTextFieldMotifVisite = new javax.swing.JTextField();
        jLabelBilan = new javax.swing.JLabel();
        jDateChooserDateRapport = new com.toedter.calendar.JDateChooser();
        jLabelOffreEchantillons = new javax.swing.JLabel();
        jScrollPaneOffreEchantillons = new javax.swing.JScrollPane();
        jTableOffreEchantillons = new javax.swing.JTable();
        jButtonPrecedent = new javax.swing.JButton();
        jButtonSuivant = new javax.swing.JButton();
        jButtonValider = new javax.swing.JButton();
        jButtonQuitter = new javax.swing.JButton();
        jButtonMenuGeneral = new javax.swing.JButton();
        jButtonNouveau = new javax.swing.JButton();
        jButtonPlus = new javax.swing.JButton();
        jButtonMoins = new javax.swing.JButton();
        jButtonToutSupprimer = new javax.swing.JButton();
        jButtonSupprimer = new javax.swing.JButton();
        jButtonEffacer = new javax.swing.JButton();
        jLabelBackground = new javax.swing.JLabel();

        setDefaultCloseOperation(javax.swing.WindowConstants.DO_NOTHING_ON_CLOSE);
        setTitle("Rapport de visite");
        setResizable(false);

        jPanelRapportVisite.setLayout(null);

        jLabelRapportVisite.setFont(new java.awt.Font("Tahoma", 3, 36)); // NOI18N
        jLabelRapportVisite.setForeground(new java.awt.Color(0, 0, 153));
        jLabelRapportVisite.setText("Rapport de visite");
        jPanelRapportVisite.add(jLabelRapportVisite);
        jLabelRapportVisite.setBounds(210, 0, 330, 44);

        jLabelNumeroRapport.setFont(new java.awt.Font("Tahoma", 1, 11)); // NOI18N
        jLabelNumeroRapport.setForeground(new java.awt.Color(153, 153, 153));
        jLabelNumeroRapport.setText("Numéro rapport :");
        jPanelRapportVisite.add(jLabelNumeroRapport);
        jLabelNumeroRapport.setBounds(80, 60, 120, 14);

        jTextAreaBilan.setColumns(20);
        jTextAreaBilan.setRows(5);
        jScrollPaneBilan.setViewportView(jTextAreaBilan);

        jPanelRapportVisite.add(jScrollPaneBilan);
        jScrollPaneBilan.setBounds(250, 240, 440, 80);

        jTextFieldNumeroRapport.setEditable(false);
        jPanelRapportVisite.add(jTextFieldNumeroRapport);
        jTextFieldNumeroRapport.setBounds(250, 60, 90, 26);

        jLabelPraticien.setFont(new java.awt.Font("Tahoma", 1, 11)); // NOI18N
        jLabelPraticien.setForeground(new java.awt.Color(0, 0, 153));
        jLabelPraticien.setText("Praticien :");
        jPanelRapportVisite.add(jLabelPraticien);
        jLabelPraticien.setBounds(80, 110, 90, 14);

        jComboBoxPraticien.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));
        jPanelRapportVisite.add(jComboBoxPraticien);
        jComboBoxPraticien.setBounds(250, 110, 150, 26);

        jLabelDateRapport.setFont(new java.awt.Font("Tahoma", 1, 11)); // NOI18N
        jLabelDateRapport.setForeground(new java.awt.Color(0, 0, 153));
        jLabelDateRapport.setText("Date rapport :");
        jPanelRapportVisite.add(jLabelDateRapport);
        jLabelDateRapport.setBounds(80, 160, 100, 14);

        jLabelMotifVisite.setFont(new java.awt.Font("Tahoma", 1, 11)); // NOI18N
        jLabelMotifVisite.setForeground(new java.awt.Color(0, 0, 153));
        jLabelMotifVisite.setText("Motif visite :");
        jPanelRapportVisite.add(jLabelMotifVisite);
        jLabelMotifVisite.setBounds(80, 210, 90, 14);
        jPanelRapportVisite.add(jTextFieldMotifVisite);
        jTextFieldMotifVisite.setBounds(250, 210, 210, 26);

        jLabelBilan.setFont(new java.awt.Font("Tahoma", 1, 11)); // NOI18N
        jLabelBilan.setForeground(new java.awt.Color(0, 0, 153));
        jLabelBilan.setText("Bilan");
        jPanelRapportVisite.add(jLabelBilan);
        jLabelBilan.setBounds(80, 260, 70, 14);
        jPanelRapportVisite.add(jDateChooserDateRapport);
        jDateChooserDateRapport.setBounds(250, 160, 120, 30);

        jLabelOffreEchantillons.setFont(new java.awt.Font("Tahoma", 1, 11)); // NOI18N
        jLabelOffreEchantillons.setForeground(new java.awt.Color(0, 0, 153));
        jLabelOffreEchantillons.setText("Offre d'échantillons :");
        jPanelRapportVisite.add(jLabelOffreEchantillons);
        jLabelOffreEchantillons.setBounds(130, 320, 130, 14);

        jTableOffreEchantillons.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null, null},
                {null, null},
                {null, null},
                {null, null}
            },
            new String [] {
                "Médicament", "Nb échantillon(s)"
            }
        ) {
            Class[] types = new Class [] {
                java.lang.String.class, java.lang.Integer.class
            };

            public Class getColumnClass(int columnIndex) {
                return types [columnIndex];
            }
        });
        jScrollPaneOffreEchantillons.setViewportView(jTableOffreEchantillons);

        jPanelRapportVisite.add(jScrollPaneOffreEchantillons);
        jScrollPaneOffreEchantillons.setBounds(80, 340, 440, 90);

        jButtonPrecedent.setFont(new java.awt.Font("Tahoma", 1, 11)); // NOI18N
        jButtonPrecedent.setForeground(new java.awt.Color(0, 0, 153));
        jButtonPrecedent.setText("Précédent");
        jPanelRapportVisite.add(jButtonPrecedent);
        jButtonPrecedent.setBounds(370, 60, 120, 23);

        jButtonSuivant.setFont(new java.awt.Font("Tahoma", 1, 11)); // NOI18N
        jButtonSuivant.setForeground(new java.awt.Color(0, 0, 153));
        jButtonSuivant.setText("Suivant");
        jButtonSuivant.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonSuivantActionPerformed(evt);
            }
        });
        jPanelRapportVisite.add(jButtonSuivant);
        jButtonSuivant.setBounds(520, 60, 100, 23);

        jButtonValider.setFont(new java.awt.Font("Tahoma", 1, 11)); // NOI18N
        jButtonValider.setForeground(new java.awt.Color(0, 0, 153));
        jButtonValider.setText("Valider");
        jPanelRapportVisite.add(jButtonValider);
        jButtonValider.setBounds(390, 440, 110, 23);

        jButtonQuitter.setFont(new java.awt.Font("Tahoma", 1, 11)); // NOI18N
        jButtonQuitter.setForeground(new java.awt.Color(0, 0, 153));
        jButtonQuitter.setText("Quitter");
        jPanelRapportVisite.add(jButtonQuitter);
        jButtonQuitter.setBounds(570, 440, 100, 23);

        jButtonMenuGeneral.setFont(new java.awt.Font("Tahoma", 1, 11)); // NOI18N
        jButtonMenuGeneral.setForeground(new java.awt.Color(0, 0, 153));
        jButtonMenuGeneral.setText("Menu général");
        jButtonMenuGeneral.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonMenuGeneralActionPerformed(evt);
            }
        });
        jPanelRapportVisite.add(jButtonMenuGeneral);
        jButtonMenuGeneral.setBounds(10, 10, 130, 40);

        jButtonNouveau.setFont(new java.awt.Font("Tahoma", 1, 11)); // NOI18N
        jButtonNouveau.setForeground(new java.awt.Color(0, 0, 153));
        jButtonNouveau.setText("Nouveau");
        jPanelRapportVisite.add(jButtonNouveau);
        jButtonNouveau.setBounds(50, 440, 110, 23);

        jButtonPlus.setText("+");
        jPanelRapportVisite.add(jButtonPlus);
        jButtonPlus.setBounds(530, 360, 40, 29);

        jButtonMoins.setText("-");
        jPanelRapportVisite.add(jButtonMoins);
        jButtonMoins.setBounds(530, 390, 40, 29);

        jButtonToutSupprimer.setText("Tout supprimer");
        jPanelRapportVisite.add(jButtonToutSupprimer);
        jButtonToutSupprimer.setBounds(580, 390, 110, 29);

        jButtonSupprimer.setFont(new java.awt.Font("Tahoma", 1, 11)); // NOI18N
        jButtonSupprimer.setForeground(new java.awt.Color(0, 0, 153));
        jButtonSupprimer.setText("Supprimer");
        jPanelRapportVisite.add(jButtonSupprimer);
        jButtonSupprimer.setBounds(220, 440, 110, 23);

        jButtonEffacer.setFont(new java.awt.Font("Tahoma", 1, 11)); // NOI18N
        jButtonEffacer.setForeground(new java.awt.Color(0, 0, 204));
        jButtonEffacer.setText("Effacer");
        jPanelRapportVisite.add(jButtonEffacer);
        jButtonEffacer.setBounds(380, 160, 71, 23);

        jLabelBackground.setFont(new java.awt.Font("Tahoma", 1, 11)); // NOI18N
        jLabelBackground.setForeground(new java.awt.Color(0, 0, 153));
        jLabelBackground.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/gsb_background.png"))); // NOI18N
        jPanelRapportVisite.add(jLabelBackground);
        jLabelBackground.setBounds(0, 0, 1070, 480);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanelRapportVisite, javax.swing.GroupLayout.DEFAULT_SIZE, 749, Short.MAX_VALUE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanelRapportVisite, javax.swing.GroupLayout.PREFERRED_SIZE, 478, javax.swing.GroupLayout.PREFERRED_SIZE)
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void jButtonMenuGeneralActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonMenuGeneralActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jButtonMenuGeneralActionPerformed

    private void jButtonSuivantActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonSuivantActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jButtonSuivantActionPerformed

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(VueRapportVisite.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(VueRapportVisite.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(VueRapportVisite.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(VueRapportVisite.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new VueRapportVisite().setVisible(true);
            }
        });
    }

    /**
     *
     * @return
     */
    public JButton getjButtonQuitter() {
        return jButtonQuitter;
    }

    /**
     *
     * @return
     */
    public JButton getjButtonNouveau() {
        return jButtonNouveau;
    }

    /**
     *
     * @return
     */
    public JButton getjButtonPrecedent() {
        return jButtonPrecedent;
    }

    /**
     *
     * @return
     */
    public JButton getjButtonSuivant() {
        return jButtonSuivant;
    }

    /**
     *
     * @return
     */
    public JComboBox getjComboBoxPraticien() {
        return jComboBoxPraticien;
    }

    /**
     *
     * @return
     */
    public JDateChooser getjDateChooserDateRapport() {
        return jDateChooserDateRapport;
    }

    /**
     *
     * @return
     */
    public JTable getjTableOffreEchantillons() {
        return jTableOffreEchantillons;
    }

    /**
     *
     * @return
     */
    public JTextArea getjTextAreaBilan() {
        return jTextAreaBilan;
    }

    /**
     *
     * @return
     */
    public JTextField getjTextFieldMotifVisite() {
        return jTextFieldMotifVisite;
    }

    /**
     *
     * @return
     */
    public JTextField getjTextFieldNumeroRapport() {
        return jTextFieldNumeroRapport;
    }

    /**
     *
     * @return
     */
    public JLabel getjLabelNumeroRapport() {
        return jLabelNumeroRapport;
    }

    /**
     *
     * @return
     */
    public JButton getjButtonMenuGeneral() {
        return jButtonMenuGeneral;
    }

    /**
     *
     * @return
     */
    public JButton getjButtonValider() {
        return jButtonValider;
    }

    /**
     *
     * @return
     */
    public JButton getjButtonMoins() {
        return jButtonMoins;
    }

    /**
     *
     * @return
     */
    public JButton getjButtonPlus() {
        return jButtonPlus;
    }

    /**
     *
     * @return
     */
    public JButton getjButtonToutSupprimer() {
        return jButtonToutSupprimer;
    }

    /**
     *
     * @return
     */
    public JButton getjButtonSupprimer() {
        return jButtonSupprimer;
    }

    /**
     *
     * @return
     */
    public JButton getjButtonEffacer() {
        return jButtonEffacer;
    }
    
    
    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton jButtonEffacer;
    private javax.swing.JButton jButtonMenuGeneral;
    private javax.swing.JButton jButtonMoins;
    private javax.swing.JButton jButtonNouveau;
    private javax.swing.JButton jButtonPlus;
    private javax.swing.JButton jButtonPrecedent;
    private javax.swing.JButton jButtonQuitter;
    private javax.swing.JButton jButtonSuivant;
    private javax.swing.JButton jButtonSupprimer;
    private javax.swing.JButton jButtonToutSupprimer;
    private javax.swing.JButton jButtonValider;
    private javax.swing.JComboBox jComboBoxPraticien;
    private com.toedter.calendar.JDateChooser jDateChooserDateRapport;
    private javax.swing.JLabel jLabelBackground;
    private javax.swing.JLabel jLabelBilan;
    private javax.swing.JLabel jLabelDateRapport;
    private javax.swing.JLabel jLabelMotifVisite;
    private javax.swing.JLabel jLabelNumeroRapport;
    private javax.swing.JLabel jLabelOffreEchantillons;
    private javax.swing.JLabel jLabelPraticien;
    private javax.swing.JLabel jLabelRapportVisite;
    private javax.swing.JPanel jPanelRapportVisite;
    private javax.swing.JScrollPane jScrollPaneBilan;
    private javax.swing.JScrollPane jScrollPaneOffreEchantillons;
    private javax.swing.JTable jTableOffreEchantillons;
    private javax.swing.JTextArea jTextAreaBilan;
    private javax.swing.JTextField jTextFieldMotifVisite;
    private javax.swing.JTextField jTextFieldNumeroRapport;
    // End of variables declaration//GEN-END:variables
}
